diff --git a/scripts/chroot.sh b/scripts/chroot.sh
index 5ffc7fedd15f336d1a5ce33891d3267b4948a846..79f9f1a1d68235121ef72c93c7efa5236fbdb596 100755
--- a/scripts/chroot.sh
+++ b/scripts/chroot.sh
@@ -806,8 +806,10 @@ fi
 if [ -n "${early_chroot_script}" -a -r "${DIR}/target/chroot/${early_chroot_script}" ] ; then
 	report_size
 	echo "Calling early_chroot_script script: ${early_chroot_script}"
+	sudo cp -v ${DIR}/.project ${tempdir}/etc/oib.project
 	sudo /bin/sh -e ${DIR}/target/chroot/${early_chroot_script} ${tempdir}
 	early_chroot_script=""
+	sudo rm -f ${tempdir}/etc/oib.project || true
 fi
 
 chroot_mount